Package ru.bitel.bgbilling.plugins.shop.common.bean

# Class ContractStockItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.plugins.shop.common.bean.ContractStockItem

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class ContractStockItem extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStockItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `StockItem`
  `getStockItem()`
  `int`
  `getUserId()`
  `ContractStockItem`
  `setContractId(int contractId)`
  `ContractStockItem`
  `setDateFrom(Date dateFrom)`
  `ContractStockItem`
  `setDateTo(Date dateTo)`
  `ContractStockItem`
  `setStockItem(StockItem stockItem)`
  `ContractStockItem`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractStockItem

    public ContractStockItem()

- ## Method Details

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getStockItem

    public StockItem getStockItem()

  - ### getUserId

    public int getUserId()

  - ### setContractId

    public ContractStockItem setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setDateFrom

    public ContractStockItem setDateFrom(Date dateFrom)

  - ### setDateTo

    public ContractStockItem setDateTo(Date dateTo)

  - ### setStockItem

    public ContractStockItem setStockItem(StockItem stockItem)

  - ### setUserId

    public ContractStockItem setUserId(int userId)